--create default db settings
defaults = {
    profile = {
        --enable pvp only mode
        enablePVP= true,
        --enable chat message
        enableMSG= true,
        --enable announce chat message
        enableMSGAnnounce= false,
        --enable killing blow tracker
        enableKBT= false,
        --enable killing blow announcer
        enableKB= true,
        --enable killing blow sound
        enableKBSound= false,
        --enable edit snap
        enableSnap = false,
        --enable killing blow tracker/message/image drag
        enableKBTDrag= false,
        enableImageDrag= false,
        enableMessageDrag= false,

        --enable playing of emotes
        enableEmotes= false,

        prevSession = 0;
        chatChannel = "say",
        message = "And stay down!",
        messageAnnounce = "${player} killed ${enemy} of class ${class} in ${zone}",
        chatAnnounceChannel = "say",
        soundLevel = "Master",
        killingMessage = "KILLING BLOW!",
        trackerBackground = "Blizzard Dialog Background",
        trackerBorder	= "Blizzard Tooltip",
        fontSize = 29, --FIXME: higher than 30 seems to break it for now 
        visibleTime = 3,
        fadeTime = 1,
        trackerFont = "Friz Quadrata TT",
        font = "Friz Quadrata TT",
        outline = "OUTLINE",

        emotes = {},
        sounds = {},
        sounds_modus = 1,
        sounds_ordered_cur = 1,
        sounds_ordered_list = {},
        sounds_ordered_restart_end = false,
        sounds_ordered_restart_death = false,
        sounds_ordered_restart_zone = false,
        sounds_ordered_restart_time = false,
        sounds_ordered_restart_time_val = 5,

        --0 = message mode
        --1 = image mode
        KB_modus = 1,

        KBI_fadeInTime = 0.5,
        KBI_fadeOutTime = 0.5,
        KBI_duration = 1,
        KBI_debug = false,
        KBI_image = "Interface\\AddOns\\Killing Blow Announcer\\Images\\imageYellow",
        KBI_height = 300,
        KBI_width = 300, 

        KBM_height = 40,
        KBM_width = 300, 
        
        KBI_point = "CENTER",
        KBI_relto = nil,
        KBI_relpoint = nil,
        KBI_xOffset = 0,
        KBI_yOffset = 5,

        KBM_point = "CENTER",
        KBM_relto = nil,
        KBM_relpoint = nil,
        KBM_xOffset = 0, 
        KBM_yOffset = 5,

        red = 1,
        green = 1,
        blue = 0,
        disableStartupText = false,
        minimap = {
            hide = false,
            enableMinimapIcon = true,
        }

    },
};
sounds_ordered_order = 1;
sounds_ordered_time_options  = {[60] = "1 minute",[120] = "2 minutes", [180] = "3 minutes", [240] = "4 minutes", [300] = "5 minutes", [600] = "10 minutes", [900] = "15 minutes", [1200] = "20 minutes", [1500] = "25 minutes", [1800] = "30 minutes", [3600] = "1 hour"};

soundChannelsTable = {["Master"] = "Master",["SFX"] = "SFX",["Ambience"] = "Ambience",["Music"] = "Music"};
chatChannelsTable  = {["say"] = "say",["yell"] = "yell",["raid"] = "raid",["party"] = "party",["guild"] = "guild", ["private"] = "private"};

emotesTable = {
       ["agree"] = "agree",
       ["amaze"] = "amaze",
       ["angry"] = "angry",
       ["apologize"] = "apologize",
       ["bark"] = "bark",
       ["bashful"] = "bashful",
       ["beckon"] = "beckon",
       ["beg"] = "beg",
       ["burp"] = "burp",
       ["bite"] = "bite",
       ["bleed"] = "bleed",
       ["blink"] = "blink",
       ["blush"] = "blush",
       ["boggle"] = "boggle",
       ["bonk"] = "bonk",
       ["bow"] = "bow",
       ["bounce"] = "bounce",
       ["brandish"] = "brandish",
       ["brb"] = "brb",
       ["bye"] = "bye",
       ["cackle"] = "cackle",
       ["calm"] = "calm",
       ["charge"] = "charge",
       ["cheer"] = "cheer",
       ["chicken"] = "chicken",
       ["chuckle"] = "chuckle",
       ["clap"] = "clap",
       ["cold"] = "cold",
       ["comfort"] = "comfort",
       ["commend"] = "commend",
       ["confused"] = "confused",
       ["congratulate"] = "congratulate",
       ["cough"] = "cough",
       ["cower"] = "cower",
       ["crack"] = "crack",
       ["cringe"] = "cringe",
       ["cry"] = "cry",
       ["cuddle"] = "cuddle",
       ["curtsey"] = "curtsey",
       ["dance"] = "dance",
       ["ding"] = "ding",
       ["drink"] = "drink",
       ["drool"] = "drool",
       ["duck"] = "duck",
       ["eat"] = "eat",
       ["eye"] = "eye",
       ["facepalm"] = "facepalm",
       ["fart"] = "fart",
       ["fidget"] = "fidget",
       ["flee"] = "flee",
       ["flex"] = "flex",
       ["flirt"] = "flirt",
       ["flop"] = "flop",
       ["frown"] = "frown",
       ["gasp"] = "gasp",
       ["gaze"] = "gaze",
       ["giggle"] = "giggle",
       ["cough"] = "cough",
       ["glare"] = "glare",
       ["gloat"] = "gloat",
       ["golfclap"] = "golfclap",
       ["greet"] = "greet",
       ["grin"] = "grin",
       ["cough"] = "cough",
       ["groan"] = "groan",
       ["grovel"] = "grovel",
       ["growl"] = "growl",
       ["guffaw"] = "guffaw",
       ["hail"] = "hail",
       ["happy"] = "happy",
       ["healme"] = "healme",
       ["hello"] = "hello",
       ["helpme"] = "helpme",
       ["highfive"] = "highfive",
       ["hug"] = "hug",
       ["hungry"] = "hungry",
       ["incoming"] = "incoming",
       ["insult"] = "insult",
       ["introduce"] = "introduce",
       ["jk"] = "jk",
       ["kiss"] = "kiss",
       ["kneel"] = "kneel",
       ["laugh"] = "laugh",
       ["lick"] = "lick",
       ["listen"] = "listen",
       ["lost"] = "lost",
       ["love"] = "love",
       ["massage"] = "massage",
       ["moan"] = "moan",
       ["mock"] = "mock",
       ["moo"] = "moo",
       ["moon"] = "moon",
       ["mourn"] = "mourn",
       ["no"] = "no",
       ["nod"] = "nod",
       ["nosepick"] = "nosepick",
       ["oom"] = "oom",
       ["openfire"] = "openfire",
       ["panic"] = "panic",
       ["pat"] = "pat",
       ["peer"] = "peer",   
       ["pity"] = "pity",
       ["plead"] = "plead",
       ["point"] = "point",
       ["poke"] = "poke",
       ["ponder"] = "ponder",
       ["pounce"] = "pounce",
       ["praise"] = "praise",
       ["pray"] = "pray",
       ["purr"] = "purr",    
       ["raise"] = "raise",
       ["rasp"] = "rasp",
       ["ready"] = "ready",   
       ["regret"] = "regret",
       ["roar"] = "roar",
       ["rofl"] = "rofl",
       ["rolleyes"] = "rolleyes",
       ["rude"] = "rude",
       ["salute"] = "salute",
       ["scared"] = "scared",
       ["scratch"] = "scratch",
       ["sexy"] = "sexy",
       ["shake"] = "shake",
       ["shimmy"] = "shimmy",
       ["shiver"] = "shiver",
       ["shoo"] = "shoo",
       ["shrug"] = "shrug",
       ["shy"] = "shy",
       ["sigh"] = "sigh",
       ["slap"] = "slap",
       ["sleep"] = "sleep",
       ["smile"] = "smile",
       ["smirk"] = "smirk",
       ["snarl"] = "snarl",
       ["snicker"] = "snicker",
       ["sniff"] = "sniff",
       ["snub"] = "snub",
       ["soothe"] = "soothe",
       ["sorry"] = "sorry",
       ["spit"] = "spit",
       ["stare"] = "stare",
       ["stink"] = "stink",
       ["surprised"] = "surprised",
       ["surrender"] = "surrender",
       ["talk"] = "talk",
       ["talkex"] = "talkex",
       ["talkq"] = "talkq",
       ["tap"] = "tap",
       ["tap"] = "tap",
       ["taunt"] = "taunt",
       ["tease"] = "tease",
       ["thank"] = "thank",
       ["think"] = "think",
       ["thirsty"] = "thirsty",
       ["tickle"] = "tickle",
       ["tired"] = "tired",
       ["train"] = "train",
       ["ty"] = "ty",
       ["veto"] = "veto",
       ["victory"] = "victory",
       ["violin"] = "violin",
       ["wait"] = "wait",
       ["wave"] = "wave",
       ["welcome"] = "welcome",
       ["whine"] = "whine",
       ["whistle"] = "whistle",
       ["wink"] = "wink",
       ["yawn"] = "yawn",
       ["yw"] = "yw",
    }

